//	This file is part of CryoBayes.
//  CryoBayes is free software: you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  CryoBayes is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// CryoBayes: Copyright 2009,2010 Navdeep Jaitly
void CreateModelProjections(int numProjections, std::string &inMRCFile, std::string &outMRCFile, 
		std::string &rotMatrixFile) ; 
void TestRotation(const std::string &mrcFile) ;
void ResampleModel(std::string &inFile, std::string &outFile, int outGridSide) ;
void CreateModelProjections(int numProjections, std::string &inMRCFile, std::string &outMRCFile, 
		std::string &rotMatrixFile) ; 
void ProjectionPerformanceTests(unsigned char gridSide, unsigned char imageSide, int nGeo, float psiDeg) ; 
void PrintGeoDesicMatrices(const int numGeodesicPts, int psiDeg) ; 
void Resample(std::string &mrcFile) ;
void ResampleModel(std::string &inFile, std::string &outFile, int outGridSide) ; 
void LoadRotationMatrices(const std::string &fileName, std::vector<RotationMatrix> &vectRotMatrices) ;
void CreateGeodesicGridOfRotations(int numGeodesicPts, float psiDeg, std::vector<RotationMatrix> &vectRotMatrices) ;
